//计毛
<template>
  <!-- 零星物资计毛作业页面 -->
  <div class="homeworkPath">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">      
    </dilTable>
  </div>
</template>

<script>
import { getCookie } from "@/utils/util.js";
export default {
  name: "homeworkPath",
  data() {
    return {
      input: null,
      option: {
        // 表格请求数据的地址
        requestUrl: "",
      },
    };
  },
  created(){
      if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getAllJiMaoResult?apiId=405&orderType=16"
      }else{
          this.option.requestUrl = "/api/v1/tms/getAllJiMaoResult?apiId=405&orderType=16&userId=" + getCookie("orgCode")
      }
  },
  methods: {
      onclick() {
      if(this.input != null){
          if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getAllJiMaoResult?apiId=405&orderType=16&con=" + this.input
          }else{
          this.option.requestUrl = "/api/v1/tms/getAllJiMaoResult?apiId=405&orderType=16&userId=" + getCookie("orgCode") + "&con=" + this.input
               }
      }else{
          this.$message.warning("未输入查询条件")
          if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getAllJiMaoResult?apiId=405&orderType=16"
          }else{
          this.option.requestUrl = "/api/v1/tms/getAllJiMaoResult?apiId=405&orderType=16&userId=" + getCookie("orgCode")
          }
      }  
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input{
      width: 20%;
    }
  }
}
</style>